## lz4 0.0~r94

=== CMakeLists.txt ===
PROJECT(LZ4)
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "ASN.1 Compiler")
set(CPACK_PACKAGE_VERSION_MAJOR 0)
set(CPACK_PACKAGE_VERSION_MINOR 0)
set(CPACK_PACKAGE_VERSION_PATCH r52)
#set(CPACK_RESOURCE_FILE_LICENSE  ${CMAKE_CURRENT_BINARY_DIR}/COPYING_LGPL)
set(VERSION_STRING	" \"${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}\" ")
include(CPack)


cmake_minimum_required (VERSION 2.6)
INCLUDE (CheckTypeSize)
check_type_size("void *" SIZEOF_VOID_P)
IF( ${SIZEOF_VOID_P} STREQUAL  "8" )
    set (CMAKE_SYSTEM_PROCESSOR "64bit")
    MESSAGE( STATUS "64 bit architecture detected size of void * is " ${SIZEOF_VOID_P})
ENDIF()

set(BUILD_SHARED_LIBS OFF CACHE BOOL "Build shared libraries")

if (BUILD_SHARED_LIBS)
    message(STATUS "Enable shared library building")
else(BUILD_SHARED_LIBS)
    message(STATUS "Disable shared library building")
endif(BUILD_SHARED_LIBS)

if(UNIX AND BUILD_SHARED_LIBS)
    if(CMAKE_SYSTEM_PROCESSOR MATCHES "x86_64")
        add_definitions(-fPIC)
    endif(CMAKE_SYSTEM_PROCESSOR MATCHES "x86_64")
endif()

set(SRC_DIR ../)
set(LZ4_SRCS_LIB ${SRC_DIR}lz4.c ${SRC_DIR}lz4hc.c ${SRC_DIR}lz4.h )
set(LZ4_SRCS ${SRC_DIR}xxhash.c ${SRC_DIR}bench.c ${SRC_DIR}lz4c.c)

if(NOT BUILD_SHARED_LIBS)
    set(LZ4_SRCS ${LZ4_SRCS} ${LZ4_SRCS_LIB})
endif()

if (CMAKE_SYSTEM_PROCESSOR STREQUAL "64bit")
    message(STATUS "Build 64bit executable binary")
    add_executable(lz4c64 ${LZ4_SRCS})
    install(TARGETS lz4c64 RUNTIME DESTINATION "./")
    if(NOT BUILD_SHARED_LIBS)
        message(STATUS "Build 32bit executable binary")
        add_executable(lz4c32 ${LZ4_SRCS})
        install(TARGETS lz4c32 RUNTIME DESTINATION "./")

        SET_TARGET_PROPERTIES(lz4c32 PROPERTIES
            COMPILE_FLAGS PROPERTIES COMPILE_FLAGS "-m32" LINK_FLAGS "-m32")
    endif()
else()
    message(STATUS "Build 32bit executable binary")
    add_executable(lz4c32 ${LZ4_SRCS})
    install(TARGETS lz4c32 RUNTIME DESTINATION "./")
endif()

if(BUILD_SHARED_LIBS)
    set(LZ4_SOVERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
    if (CMAKE_SYSTEM_PROCESSOR STREQUAL "64bit")
        target_link_libraries(lz4c64 liblz4)
    else()
        target_link_libraries(lz4c32 liblz4)
    endif()
	
    # for static library
    add_library(liblz4_static STATIC ${LZ4_SRCS_LIB})
    set_target_properties(liblz4_static PROPERTIES OUTPUT_NAME lz4)

    install(TARGETS liblz4_static
        LIBRARY DESTINATION lib
        ARCHIVE DESTINATION lib
    )

    # for shared library o
    add_library(liblz4 ${LZ4_SRCS_LIB})
    set_target_properties(liblz4 PROPERTIES
            OUTPUT_NAME lz4
            SOVERSION ${LZ4_SOVERSION})

    install(TARGETS liblz4
        LIBRARY DESTINATION lib
        ARCHIVE DESTINATION lib
    )
    
    install(FILES
        ${SRC_DIR}/lz4.h
        ${SRC_DIR}/lz4hc.h
        DESTINATION include)
            
endif(BUILD_SHARED_LIBS)


#warnings

ADD_DEFINITIONS("-Wall")
ADD_DEFINITIONS("-W")
ADD_DEFINITIONS("-Wundef")
ADD_DEFINITIONS("-Wcast-align")
ADD_DEFINITIONS("-Wno-implicit-function-declaration")
ADD_DEFINITIONS("-Os -march=native -std=c99")
INCLUDE_DIRECTORIES (${SRC_DIR})

=== Makefile ===
CC=gcc
CFLAGS=-I. -std=c99 -Wall -W -Wundef -Wno-implicit-function-declaration

OS := $(shell uname)
ifeq ($(OS),Linux)
EXT =
else
EXT =.exe
endif

default: lz4c

all: lz4c lz4c32 fuzzer

lz4c: lz4.c lz4hc.c bench.c xxhash.c lz4c.c
	$(CC)      -O3 $(CFLAGS) $^ -o $@$(EXT)

lz4c32: lz4.c lz4hc.c bench.c xxhash.c lz4c.c
	$(CC) -m32 -Os -march=native $(CFLAGS) $^ -o $@$(EXT)

fuzzer : lz4.c lz4hc.c fuzzer.c
	$(CC)      -O3 $(CFLAGS) $^ -o $@$(EXT)
	
clean:
	rm -f core *.o lz4c$(EXT) lz4c32$(EXT) fuzzer$(EXT)

=== debian/changelog ===
lz4 (0.0~r94-1) unstable; urgency=low

  * Initial release. (Closes: #698256)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 04 May 2013 08:31:31 +0900

=== debian/control ===
Source: lz4
Priority: extra
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends: debhelper (>= 9.0.0), cmake (>= 2.8.5)
Standards-Version: 3.9.4
Section: utils
Homepage: http://code.google.com/p/lz4/
Vcs-Git: git://git.debian.org/collab-maint/lz4.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/lz4.git;a=summary

Package: liblz4-dev
Section: libdevel
Architecture: any
Depends: liblz4-0.0 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: Fast LZ compression algorithm library - development files
 LZ4 is a very fast lossless compression algorithm.
 This uses Dictionary compression, and only supports compression and
 decompression unit blocks.
 .
 Infomation about compression ratio and speed (from webpage of lz4):
 single thread, Core 2 Duo @3GHz, using the Open-Source Benchmark
 program by m^2 compiled with GCC v4.5.2, on the Silesia Corpus.
 .
 Name            Ratio   C.speed D.speed
 LZ4 (r59)       2.084   330      915
 LZO 2.05 1x_1   2.038   311      480
 QuickLZ 1.5 -1  2.233   257      277
 Snappy 1.0.5    2.024   227      729
 LZF             2.076   197      465
 FastLZ          2.030   190      420
 zlib 1.2.5 -1   2.728    39      195
 LZ4 HC (r66)    2.712    18     1020
 zlib 1.2.5 -6   3.095    14      210
 .
 This package contains files that are needed to build applications.

Package: liblz4-0.0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Fast LZ compression algorithm library - runtime
 LZ4 is a very fast lossless compression algorithm.
 This uses Dictionary compression, and only supports compression and
 decompression unit blocks.
 .
 Infomation about compression ratio and speed (from webpage of lz4):
 single thread, Core 2 Duo @3GHz, using the Open-Source Benchmark
 program by m^2 compiled with GCC v4.5.2, on the Silesia Corpus.
 .
 Name            Ratio   C.speed D.speed
 LZ4 (r59)       2.084   330      915
 LZO 2.05 1x_1   2.038   311      480
 QuickLZ 1.5 -1  2.233   257      277
 Snappy 1.0.5    2.024   227      729
 LZF             2.076   197      465
 FastLZ          2.030   190      420
 zlib 1.2.5 -1   2.728    39      195
 LZ4 HC (r66)    2.712    18     1020
 zlib 1.2.5 -6   3.095    14      210

Package: liblz4-0.0-dbg
Section: debug
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, liblz4-0.0 (= ${binary:Version})
Description: Fast LZ compression algorithm library - Debugging Symbols
 LZ4 is a very fast lossless compression algorithm.
 This uses Dictionary compression, and only supports compression and
 decompression unit blocks.
 .
 Infomation about compression ratio and speed (from webpage of lz4):
 single thread, Core 2 Duo @3GHz, using the Open-Source Benchmark
 program by m^2 compiled with GCC v4.5.2, on the Silesia Corpus.
 .
 Name            Ratio   C.speed D.speed
 LZ4 (r59)       2.084   330      915
 LZO 2.05 1x_1   2.038   311      480
 QuickLZ 1.5 -1  2.233   257      277
 Snappy 1.0.5    2.024   227      729
 LZF             2.076   197      465
 FastLZ          2.030   190      420
 zlib 1.2.5 -1   2.728    39      195
 LZ4 HC (r66)    2.712    18     1020
 zlib 1.2.5 -6   3.095    14      210
 .
 This package contains the debugging symbols.

Package: liblz4-tool
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, liblz4-0.0 (= ${binary:Version})
Multi-Arch: foreign
Description: Fast LZ compression algorithm library - tool
 LZ4 is a very fast lossless compression algorithm.
 This uses Dictionary compression, and only supports compression and
 decompression unit blocks.
 .
 Infomation about compression ratio and speed (from webpage of lz4):
 single thread, Core 2 Duo @3GHz, using the Open-Source Benchmark
 program by m^2 compiled with GCC v4.5.2, on the Silesia Corpus.
 .
 Name            Ratio   C.speed D.speed
 LZ4 (r59)       2.084   330      915
 LZO 2.05 1x_1   2.038   311      480
 QuickLZ 1.5 -1  2.233   257      277
 Snappy 1.0.5    2.024   227      729
 LZF             2.076   197      465
 FastLZ          2.030   190      420
 zlib 1.2.5 -1   2.728    39      195
 LZ4 HC (r66)    2.712    18     1020
 zlib 1.2.5 -6   3.095    14      21
 .
 This package contains files that is tool using liblz4.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CPPFLAGS:= $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:= $(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS:= $(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:= $(shell dpkg-buildflags --get LDFLAGS)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_ARCH_BITS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)

LZ4_TOOL = lz4c32
ifeq ($(DEB_HOST_ARCH_BITS),64)
LZ4_TOOL = lz4c64
endif

CMAKE_FLAGS = -DCMAKE_VERBOSE_MAKEFILE=ON \
			-DCMAKE_INSTALL_PREFIX="/usr" \
			-DCMAKE_C_FLAGS="$(CFLAGS)" \
			-DCMAKE_EXE_LINKER_FLAGS="$(LDFLAGS)" \
			-DCMAKE_SHARED_LINKER_FLAGS="$(LDFLAGS)" \
			-DCMAKE_CXX_FLAGS="$(CPPFLAGS) $(CXXFLAGS)" \
			-DCMAKE_INSTALL_LIBDIR=lib/${DEB_HOST_MULTIARCH} \
			-DBUILD_SHARED_LIBS=yes

%:
	dh $@ --buildsystem=cmake --sourcedirectory=cmake

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_FLAGS)

override_dh_install:
	dh_install

	mv debian/liblz4-tool/usr/bin/$(LZ4_TOOL) \
		debian/liblz4-tool/usr/bin/lz4c

override_dh_strip:
	dh_strip -a --dbg-package=liblz4-0.0-dbg

## lz4 0.0~r99

=== Makefile ===
CC=gcc
CFLAGS=-I. -std=c99 -Wall -W -Wundef -Wno-implicit-function-declaration

OS := $(shell uname)
ifeq ($(OS),Linux)
EXT =
else
EXT =.exe
endif

default: lz4c

all: lz4c lz4cs lz4c32 fuzzer fullbench

lz4c: lz4.c lz4hc.c bench.c xxhash.c lz4c.c
	$(CC)      -O3 $(CFLAGS) $^ -o $@$(EXT)

lz4cs: lz4.c lz4hc.c bench.c xxhash.c lz4c.c
	$(CC)      -Os $(CFLAGS) $^ -o $@$(EXT)

lz4c32: lz4.c lz4hc.c bench.c xxhash.c lz4c.c
	$(CC) -m32 -O3 $(CFLAGS) $^ -o $@$(EXT)

fuzzer : lz4.c lz4hc.c fuzzer.c
	$(CC)      -O3 $(CFLAGS) $^ -o $@$(EXT)
	
fullbench : lz4.c lz4hc.c xxhash.c fullbench.c
	$(CC)      -O3 $(CFLAGS) $^ -o $@$(EXT)

clean:
	rm -f core *.o lz4c$(EXT) lz4cs$(EXT) lz4c32$(EXT) fuzzer$(EXT) fullbench$(EXT)

=== cmake/pack/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)
PROJECT(LZ4)

############################## CPACK
set(SRC_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../../)
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "LZ4 Packer")
set(CPACK_PACKAGE_VERSION_MAJOR 0)
set(CPACK_PACKAGE_VERSION_MINOR 0)
set(CPACK_PACKAGE_VERSION_PATCH r89)
#set(CPACK_RESOURCE_FILE_LICENSE  ${CMAKE_CURRENT_BINARY_DIR}/COPYING_LGPL)
##############################
FIND_PACKAGE(Subversion)
IF(SUBVERSION_FOUND)
	Subversion_WC_INFO(${SRC_DIR}  revision)
	set(revision_MY_WC_STATUS "LZ4 has revision ${revision_WC_REVISION} at ${revision_WC_LAST_CHANGED_DATE}")
	message(STATUS ${revision_MY_WC_STATUS})
	if(NOT ${revision_WC_REVISION})
	else(NOT ${revision_WC_REVISION})
		set(CPACK_PACKAGE_VERSION_PATCH "r${revision_WC_REVISION}")
	endif(NOT ${revision_WC_REVISION})
ELSE(SUBVERSION_FOUND)
	message(WARNING "NO Subversion FOUND!!!")
ENDIF(SUBVERSION_FOUND)
set(VERSION_STRING	" \"${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}\" ")
##############################
INCLUDE (CheckTypeSize)
check_type_size("void *" SIZEOF_VOID_P)
IF( ${SIZEOF_VOID_P} STREQUAL  "8" )
    set (CMAKE_SYSTEM_PROCESSOR "64bit")
    MESSAGE( STATUS "64 bit architecture detected size of void * is " ${SIZEOF_VOID_P})
ENDIF()
###############################     warnings

ADD_DEFINITIONS("-Wall")
ADD_DEFINITIONS("-W")
ADD_DEFINITIONS("-Wundef")
ADD_DEFINITIONS("-Wcast-align")
ADD_DEFINITIONS("-Wno-implicit-function-declaration")
ADD_DEFINITIONS("-O3 -march=native -std=c99")
INCLUDE_DIRECTORIES (${SRC_DIR})



set(LZ4_SRCS_LIB ${SRC_DIR}lz4.c ${SRC_DIR}lz4hc.c ${SRC_DIR}lz4.h ${SRC_DIR}lz4_format_description.txt)
set(LZ4_SRCS ${LZ4_SRCS_LIB} ${SRC_DIR}xxhash.c ${SRC_DIR}bench.c ${SRC_DIR}lz4c.c )
set(FUZZER_SRCS ${SRC_DIR}lz4.c ${SRC_DIR}lz4hc.c ${SRC_DIR}lz4.h ${SRC_DIR}fuzzer.c)

# EXECUTABLES FOR 32 Bit and 64 versions
if(CMAKE_SYSTEM_PROCESSOR STREQUAL "64bit")
	add_executable(lz4c32 ${LZ4_SRCS})
	install(TARGETS lz4c32 RUNTIME DESTINATION "./")
SET_TARGET_PROPERTIES(lz4c32 PROPERTIES
	COMPILE_FLAGS PROPERTIES COMPILE_FLAGS "-m32 -Os" LINK_FLAGS "-m32")
endif()

add_executable(lz4c ${LZ4_SRCS})
install(TARGETS lz4c RUNTIME DESTINATION "./")

add_executable(fuzzer ${FUZZER_SRCS})
install(TARGETS fuzzer RUNTIME DESTINATION "./")

#target_link_libraries(lz4 ${LZ4_SRCS_LIB})
####################### CPACK PACKAGING ###################
install(FILES ${SRC_DIR}lz4_format_description.txt DESTINATION "./")

set(CPACK_PACKAGE_NAME ${CMAKE_PROJECT_NAME})
set(CPACK_RESOURCE_FILE_LICENSE  "${CMAKE_CURRENT_LIST_DIR}/release_COPYING.txt")
set(CPACK_PACKAGE_VENDOR "Yann Collet")
set(CPACK_WWW_SITE "http://fastcompression.blogspot.com/p/lz4.html")
set(CPACK_NSIS_URL_INFO_ABOUT "${CPACK_WWW_SITE}")
set(CPACK_NSIS_HELP_LINK "${CPACK_WWW_SITE}")

set(CPACK_NSIS_DISPLAY_NAME ${CPACK_PACKAGE_NAME})
set(CPACK_NSIS_COMPRESSOR "/SOLID lzma \r\n SetCompressorDictSize 32")

set(CPACK_NSIS_MENU_LINKS
	"${CPACK_WWW_SITE}" "${CPACK_PACKAGE_NAME} homepage"
 	"/lz4_format_description.txt "	"lz4 format description"
 	"/"	"LZ4 directory "
)

include (CPack)

=== debian/changelog ===
lz4 (0.0~r99-1) unstable; urgency=low

  * New upstream released.
  * Add symbols file.
  * Update debian/control.
    - Update Vcs-Git and Vcs-Browser field.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 31 Jul 2013 12:28:38 +0900

lz4 (0.0~r94-2) unstable; urgency=low

  * Fix install path on 32bit build. (Closes: #710458)
    Update patches/0001-Fix-install-path.patch.
  * Remove unrecognized command line option '-march=native'. (Closes: #710459)
    Add patches/remove_optimize.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 31 May 2013 14:05:43 +0900

## lz4 0.0~r107

=== Makefile ===
# ################################################################
# LZ4 Makefile
# Copyright (C) Yann Collet 2011-2013
# GPL v2 License
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#
# You can contact the author at :
#  - LZ4 source repository : http://code.google.com/p/lz4/
#  - LZ4 forum froup : https://groups.google.com/forum/#!forum/lz4c
# ################################################################
# lz4 : Command Line Utility, supporting gzip-like arguments
# lz4c  : CLU, supporting also legacy lz4demo arguments
# lz4c32: Same as lz4c, but forced to compile in 32-bits mode
# fuzzer  : Test tool, to check lz4 integrity on target platform
# fuzzer32: Same as fuzzer, but forced to compile in 32-bits mode
# fullbench  : Precisely measure speed for each LZ4 function variant
# fullbench32: Same as fullbench, but forced to compile in 32-bits mode
# ################################################################

RELEASE=r107
DESTDIR=
PREFIX=${DESTDIR}/usr
BINDIR=$(PREFIX)/bin
MANDIR=$(PREFIX)/share/man/man1
DISTRIBNAME=lz4-$(RELEASE).tar.gz
CC=gcc
CFLAGS=-I. -std=c99 -Wall -W -Wundef

# Define *.exe as extension for Windows systems
# ifeq ($(OS),Windows_NT)
ifneq (,$(filter Windows%,$(OS)))
EXT =.exe
else
EXT =
endif

TEXT = bench.c bench.h fullbench.c fuzzer.c lz4.1 lz4.c lz4cli.c \
	lz4_format_description.txt lz4.h lz4hc.c lz4hc.h \
	Makefile xxhash.c xxhash.h \
	NEWS COPYING \
	cmake/CMakeLists.txt cmake/pack/release_COPYING.txt \
	cmake/pack/CMakeLists.txt
NONTEXT = LZ4_Streaming_Format.odt
SOURCES = $(TEXT) $(NONTEXT)


default: lz4 lz4c

all: lz4 lz4c lz4c32 fuzzer fuzzer32 fullbench fullbench32

lz4: lz4.c lz4hc.c bench.c xxhash.c lz4cli.c
	$(CC)      -O3 $(CFLAGS) -DDISABLE_LZ4C_LEGACY_OPTIONS $^ -o $@$(EXT)

lz4c  : lz4.c lz4hc.c bench.c xxhash.c lz4cli.c
	$(CC)      -O3 $(CFLAGS) $^ -o $@$(EXT)

lz4c32: lz4.c lz4hc.c bench.c xxhash.c lz4cli.c
	$(CC) -m32 -O3 $(CFLAGS) $^ -o $@$(EXT)

fuzzer  : lz4.c lz4hc.c fuzzer.c
	@echo fuzzer is a test tool to check lz4 integrity on target platform
	$(CC)      -O3 $(CFLAGS) $^ -o $@$(EXT)

fuzzer32: lz4.c lz4hc.c fuzzer.c
	$(CC) -m32 -O3 $(CFLAGS) $^ -o $@$(EXT)

fullbench  : lz4.c lz4hc.c xxhash.c fullbench.c
	$(CC)      -O3 $(CFLAGS) $^ -o $@$(EXT)

fullbench32: lz4.c lz4hc.c xxhash.c fullbench.c
	$(CC) -m32 -O3 $(CFLAGS) $^ -o $@$(EXT)

clean:
	@rm -f core *.o lz4$(EXT) lz4c$(EXT) lz4c32$(EXT) \
        fuzzer$(EXT) fuzzer32$(EXT) fullbench$(EXT) fullbench32$(EXT)
	@echo Cleaning completed


ifeq ($(shell uname),Linux)

install: lz4 lz4c
	@install -d -m 755 $(BINDIR)/ $(MANDIR)/
	@install -m 755 lz4 $(BINDIR)/lz4
	@install -m 755 lz4c $(BINDIR)/lz4c
	@install -m 644 lz4.1 $(MANDIR)/lz4.1

uninstall:
	[ -x $(BINDIR)/lz4 ] && rm -f $(BINDIR)/lz4
	[ -x $(BINDIR)/lz4c ] && rm -f $(BINDIR)/lz4c
	[ -f $(MANDIR)/lz4.1 ] && rm -f $(MANDIR)/lz4.1

dist: clean
	@install -dD -m 700 lz4-$(RELEASE)/cmake/pack/
	@for f in $(TEXT); do \
		tr -d '\r' < $$f > .tmp; \
		install -m 600 .tmp lz4-$(RELEASE)/$$f; \
	done
	@rm .tmp
	@for f in $(NONTEXT); do \
		install -m 600 $$f lz4-$(RELEASE)/$$f; \
	done
	@tar -czf $(DISTRIBNAME) lz4-$(RELEASE)/
	@rm -rf lz4-$(RELEASE)
	@echo Distribution $(DISTRIBNAME) built

endif

=== cmake/pack/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "LZ4 Packer")
 set(CPACK_PACKAGE_VERSION_MAJOR 0)
 set(CPACK_PACKAGE_VERSION_MINOR 0)
-set(CPACK_PACKAGE_VERSION_PATCH r89)
+set(CPACK_PACKAGE_VERSION_PATCH r107)
 #set(CPACK_RESOURCE_FILE_LICENSE  ${CMAKE_CURRENT_BINARY_DIR}/COPYING_LGPL)
 ##############################
 FIND_PACKAGE(Subversion)
@@ -42,22 +42,22 @@
 
 
 set(LZ4_SRCS_LIB ${SRC_DIR}lz4.c ${SRC_DIR}lz4hc.c ${SRC_DIR}lz4.h ${SRC_DIR}lz4_format_description.txt)
-set(LZ4_SRCS ${LZ4_SRCS_LIB} ${SRC_DIR}xxhash.c ${SRC_DIR}bench.c ${SRC_DIR}lz4c.c )
+set(LZ4_SRCS ${LZ4_SRCS_LIB} ${SRC_DIR}xxhash.c ${SRC_DIR}bench.c ${SRC_DIR}lz4cli.c )
 set(FUZZER_SRCS ${SRC_DIR}lz4.c ${SRC_DIR}lz4hc.c ${SRC_DIR}lz4.h ${SRC_DIR}fuzzer.c)
 
 # EXECUTABLES FOR 32 Bit and 64 versions
 if(CMAKE_SYSTEM_PROCESSOR STREQUAL "64bit")
 	add_executable(lz4c32 ${LZ4_SRCS})
-	install(TARGETS lz4c32 RUNTIME DESTINATION "./")
+	install(TARGETS lz4c32 RUNTIME DESTINATION "bin/")
 SET_TARGET_PROPERTIES(lz4c32 PROPERTIES
 	COMPILE_FLAGS PROPERTIES COMPILE_FLAGS "-m32 -Os" LINK_FLAGS "-m32")
 endif()
 
 add_executable(lz4c ${LZ4_SRCS})
-install(TARGETS lz4c RUNTIME DESTINATION "./")
+install(TARGETS lz4c RUNTIME DESTINATION "bin/")
 
 add_executable(fuzzer ${FUZZER_SRCS})
-install(TARGETS fuzzer RUNTIME DESTINATION "./")
+install(TARGETS fuzzer RUNTIME DESTINATION "bin/")
 
 #target_link_libraries(lz4 ${LZ4_SRCS_LIB})
 ####################### CPACK PACKAGING ###################

=== debian/changelog ===
lz4 (0.0~r107-1) unstable; urgency=low

  * Snapshot, taken from the trunk (r107).
  * Update patches.
  * Update symbol file.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 23 Oct 2013 19:51:48 +0900

## lz4 0.0~r109

=== Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 # fullbench32: Same as fullbench, but forced to compile in 32-bits mode
 # ################################################################
 
-RELEASE=r107
+RELEASE=r108
 DESTDIR=
 PREFIX=${DESTDIR}/usr
 BINDIR=$(PREFIX)/bin

=== cmake/CMakeLists.txt ===
PROJECT(LZ4 C)
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "LZ4 compression library")
set(CPACK_PACKAGE_VERSION_MAJOR 0)
set(CPACK_PACKAGE_VERSION_MINOR 0)
set(CPACK_PACKAGE_VERSION_PATCH r107)
#set(CPACK_RESOURCE_FILE_LICENSE  ${CMAKE_CURRENT_BINARY_DIR}/COPYING_LGPL)
set(VERSION_STRING	" \"${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}\" ")
include(CPack)


cmake_minimum_required (VERSION 2.6)
INCLUDE (CheckTypeSize)
check_type_size("void *" SIZEOF_VOID_P)
IF( ${SIZEOF_VOID_P} STREQUAL  "8" )
    set (CMAKE_SYSTEM_PROCESSOR "64bit")
    MESSAGE( STATUS "64 bit architecture detected size of void * is " ${SIZEOF_VOID_P})
ENDIF()

set(BUILD_SHARED_LIBS OFF CACHE BOOL "Build shared libraries")

if (BUILD_SHARED_LIBS)
    message(STATUS "Enable shared library building")
else(BUILD_SHARED_LIBS)
    message(STATUS "Disable shared library building")
endif(BUILD_SHARED_LIBS)

if(UNIX AND BUILD_SHARED_LIBS)
    if(CMAKE_SYSTEM_PROCESSOR MATCHES "x86_64")
        add_definitions(-fPIC)
    endif(CMAKE_SYSTEM_PROCESSOR MATCHES "x86_64")
endif()

set(SRC_DIR ../)
set(LZ4_SRCS_LIB ${SRC_DIR}lz4.c ${SRC_DIR}lz4hc.c ${SRC_DIR}lz4.h )
set(LZ4_SRCS ${SRC_DIR}xxhash.c ${SRC_DIR}bench.c ${SRC_DIR}lz4cli.c)

if(NOT BUILD_SHARED_LIBS)
    set(LZ4_SRCS ${LZ4_SRCS} ${LZ4_SRCS_LIB})
endif()

if (CMAKE_SYSTEM_PROCESSOR STREQUAL "64bit")
    message(STATUS "Build 64bit executable binary")
    add_executable(lz4c64 ${LZ4_SRCS})
    install(TARGETS lz4c64 RUNTIME DESTINATION "bin/")
    if(NOT BUILD_SHARED_LIBS)
        message(STATUS "Build 32bit executable binary")
        add_executable(lz4c32 ${LZ4_SRCS})
        install(TARGETS lz4c32 RUNTIME DESTINATION "bin/")

        SET_TARGET_PROPERTIES(lz4c32 PROPERTIES
            COMPILE_FLAGS PROPERTIES COMPILE_FLAGS "-m32" LINK_FLAGS "-m32")
    endif()
else()
    message(STATUS "Build 32bit executable binary")
    add_executable(lz4c32 ${LZ4_SRCS})
    install(TARGETS lz4c32 RUNTIME DESTINATION "bin/")
endif()

if(BUILD_SHARED_LIBS)
    set(LZ4_SOVERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
    if (CMAKE_SYSTEM_PROCESSOR STREQUAL "64bit")
        target_link_libraries(lz4c64 liblz4)
    else()
        target_link_libraries(lz4c32 liblz4)
    endif()
	
    # for static library
    add_library(liblz4_static STATIC ${LZ4_SRCS_LIB})
    set_target_properties(liblz4_static PROPERTIES OUTPUT_NAME lz4)

    install(TARGETS liblz4_static
        LIBRARY DESTINATION lib
        ARCHIVE DESTINATION lib
    )

    # for shared library o
    add_library(liblz4 ${LZ4_SRCS_LIB})
    set_target_properties(liblz4 PROPERTIES
            OUTPUT_NAME lz4
            SOVERSION ${LZ4_SOVERSION})

    install(TARGETS liblz4
        LIBRARY DESTINATION lib
        ARCHIVE DESTINATION lib
    )
    
    install(FILES
        ${SRC_DIR}/lz4.h
        ${SRC_DIR}/lz4hc.h
        DESTINATION include)
            
endif(BUILD_SHARED_LIBS)


#warnings

ADD_DEFINITIONS("-Wall")
ADD_DEFINITIONS("-W")
ADD_DEFINITIONS("-Wundef")
ADD_DEFINITIONS("-Wcast-align")
ADD_DEFINITIONS("-Wno-implicit-function-declaration")
ADD_DEFINITIONS("-Os -march=native -std=c99")
INCLUDE_DIRECTORIES (${SRC_DIR})

=== debian/changelog ===
lz4 (0.0~r109-1) unstable; urgency=low

  * Snapshot, taken from the trunk (r109).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 25 Dec 2013 07:26:12 +0900

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Standards-Version: 3.9.4
 Section: utils
 Homepage: http://code.google.com/p/lz4/
-Vcs-Git: git://git.debian.org/collab-maint/lz4.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/lz4.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/lz4.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/lz4.git;a=summary
 
 Package: liblz4-dev
 Section: libdevel

## lz4 0.0~r114

=== Makefile ===
# ################################################################
# LZ4 library - Makefile
# Copyright (C) Yann Collet 2011-2014
# All rights reserved.
# 
# BSD license
# Redistribution and use in source and binary forms, with or without modification,
# are permitted provided that the following conditions are met:
# 
# * Redistributions of source code must retain the above copyright notice, this
#   list of conditions and the following disclaimer.
# 
# * Redistributions in binary form must reproduce the above copyright notice, this
#   list of conditions and the following disclaimer in the documentation and/or
#   other materials provided with the distribution.
# 
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
# ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
# ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
# 
# You can contact the author at :
#  - LZ4 source repository : http://code.google.com/p/lz4/
#  - LZ4 forum froup : https://groups.google.com/forum/#!forum/lz4c
# ################################################################

export RELEASE=r114
LIBVER_MAJOR=1
LIBVER_MINOR=0
LIBVER_PATCH=0
LIBVER=$(LIBVER_MAJOR).$(LIBVER_MINOR).$(LIBVER_PATCH)

DESTDIR=
PREFIX=/usr
CC:=$(CC)
CFLAGS+= -I. -std=c99 -O3 -Wall -W -Wundef -DLZ4_VERSION=\"$(RELEASE)\"

LIBDIR=$(PREFIX)/lib
INCLUDEDIR=$(PREFIX)/include
PRGDIR=programs
DISTRIBNAME=lz4-$(RELEASE).tar.gz


# Define *.exe as extension for Windows systems
ifneq (,$(filter Windows%,$(OS)))
EXT =.exe
else
EXT =
endif

TEXT = lz4.c lz4.h lz4hc.c lz4hc.h \
	lz4_format_description.txt Makefile NEWS LICENSE \
	cmake_unofficial/CMakeLists.txt \
	$(PRGDIR)/fullbench.c $(PRGDIR)/fuzzer.c $(PRGDIR)/lz4cli.c \
	$(PRGDIR)/lz4io.c $(PRGDIR)/lz4io.h \
	$(PRGDIR)/bench.c $(PRGDIR)/bench.h \
	$(PRGDIR)/xxhash.c $(PRGDIR)/xxhash.h \
	$(PRGDIR)/lz4.1 $(PRGDIR)/Makefile $(PRGDIR)/COPYING
NONTEXT = LZ4_Streaming_Format.odt
SOURCES = $(TEXT) $(NONTEXT)


default: liblz4
	@cd $(PRGDIR); $(MAKE) -e

all: liblz4 lz4programs

liblz4: liblz4.a liblz4.so

lz4programs: lz4.c lz4hc.c
	@cd $(PRGDIR); $(MAKE) -e all

liblz4.a: lz4.c lz4hc.c
	$(CC) $(CFLAGS) -c $^
	ar rcs liblz4.a lz4.o lz4hc.o

liblz4.so: lz4.c lz4hc.c
	$(CC) $(CFLAGS) -shared $^ -fPIC -Wl,-soname=liblz4.so.$(LIBVER_MAJOR) -o $@.$(LIBVER)
	@ln -s $@.$(LIBVER) $@.$(LIBVER_MAJOR)
	@ln -s $@.$(LIBVER) $@

clean:
	@rm -f core *.o *.a *.so *.so.* $(DISTRIBNAME)
	@cd $(PRGDIR); make clean
	@echo Cleaning completed


#make install option is reserved to Linux & OSX targets
ifneq (,$(filter $(shell uname),Linux Darwin))

install: liblz4
	@install -d -m 755 $(DESTDIR)$(LIBDIR)/ $(DESTDIR)$(INCLUDEDIR)/
	@install -m 755 liblz4.a $(DESTDIR)$(LIBDIR)/liblz4.a
	@install -m 755 liblz4.so.$(LIBVER) $(DESTDIR)$(LIBDIR)/liblz4.so.$(LIBVER)
	@install -m 755 liblz4.so.$(LIBVER_MAJOR) $(DESTDIR)$(LIBDIR)/liblz4.so.$(LIBVER_MAJOR)
	@install -m 755 liblz4.so $(DESTDIR)$(LIBDIR)/liblz4.so
	@install -m 755 lz4.h $(DESTDIR)$(INCLUDEDIR)/lz4.h
	@install -m 755 lz4hc.h $(DESTDIR)$(INCLUDEDIR)/lz4hc.h
	@echo lz4 static and shared library installed
	@cd $(PRGDIR); make install

uninstall:
	[ -x $(DESTDIR)$(LIBDIR)/liblz4.a ] && rm -f $(DESTDIR)$(LIBDIR)/liblz4.a
	[ -x $(DESTDIR)$(LIBDIR)/liblz4.so.$(LIBVER) ] && rm -f $(DESTDIR)$(LIBDIR)/liblz4.so.$(LIBVER)
	[ -x $(DESTDIR)$(LIBDIR)/liblz4.so.$(LIBVER_MAJOR) ] && rm -f $(DESTDIR)$(LIBDIR)/liblz4.so.$(LIBVER_MAJOR)
	[ -x $(DESTDIR)$(LIBDIR)/liblz4.so ] && rm -f $(DESTDIR)$(LIBDIR)/liblz4.so
	[ -f $(DESTDIR)$(INCLUDEDIR)/lz4.h ] && rm -f $(DESTDIR)$(INCLUDEDIR)/lz4.h
	[ -f $(DESTDIR)$(INCLUDEDIR)/lz4hc.h ] && rm -f $(DESTDIR)$(INCLUDEDIR)/lz4hc.h
	@echo lz4 libraries successfully uninstalled
	@cd $(PRGDIR); make uninstall

dist: clean
	@install -dD -m 700 lz4-$(RELEASE)/programs/
	@install -dD -m 700 lz4-$(RELEASE)/cmake_unofficial/
	@for f in $(TEXT); do \
		tr -d '\r' < $$f > .tmp; \
		install -m 600 .tmp lz4-$(RELEASE)/$$f; \
	done
	@rm .tmp
	@for f in $(NONTEXT); do \
		install -m 600 $$f lz4-$(RELEASE)/$$f; \
	done
	@tar -czf $(DISTRIBNAME) lz4-$(RELEASE)/
	@rm -rf lz4-$(RELEASE)
	@echo Distribution $(DISTRIBNAME) built

endif

=== cmake_unofficial/CMakeLists.txt ===
PROJECT(LZ4 C)
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "LZ4 compression library")
set(CPACK_PACKAGE_VERSION_MAJOR 0)
set(CPACK_PACKAGE_VERSION_MINOR 0)
set(CPACK_PACKAGE_VERSION_PATCH r111)
#set(CPACK_RESOURCE_FILE_LICENSE  ${CMAKE_CURRENT_BINARY_DIR}/COPYING_LGPL)
set(VERSION_STRING	" \"${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}\" ")
include(CPack)

cmake_minimum_required (VERSION 2.6)
INCLUDE (CheckTypeSize)
check_type_size("void *" SIZEOF_VOID_P)
IF( ${SIZEOF_VOID_P} STREQUAL  "8" )
    set (CMAKE_SYSTEM_PROCESSOR "64bit")
    MESSAGE( STATUS "64 bit architecture detected size of void * is " ${SIZEOF_VOID_P})
ENDIF()

option(BUILD_TOOLS "Build the command line tools" ON)
option(BUILD_LIBS  "Build the libraries in addition to the tools" OFF)

if(UNIX AND BUILD_LIBS)
    if(CMAKE_SYSTEM_PROCESSOR MATCHES "x86_64")
        add_definitions(-fPIC)
    endif(CMAKE_SYSTEM_PROCESSOR MATCHES "x86_64")
endif()

set(LZ4_DIR ../)
set(PRG_DIR ../programs/)
set(LZ4_SRCS_LIB ${LZ4_DIR}lz4.c ${LZ4_DIR}lz4hc.c ${LZ4_DIR}lz4.h ${LZ4_DIR}lz4hc.h)
set(LZ4_SRCS ${PRG_DIR}xxhash.c ${PRG_DIR}bench.c ${PRG_DIR}lz4cli.c ${PRG_DIR}lz4io.c)

if(BUILD_TOOLS AND NOT BUILD_LIBS)
    set(LZ4_SRCS ${LZ4_SRCS} ${LZ4_SRCS_LIB})
endif()

if(BUILD_TOOLS)
    add_executable(lz4 ${LZ4_SRCS})
    set_target_properties(lz4 PROPERTIES COMPILE_DEFINITIONS DISABLE_LZ4C_LEGACY_OPTIONS)
    install(TARGETS lz4 RUNTIME DESTINATION "bin/")
    add_executable(lz4c ${LZ4_SRCS})
    install(TARGETS lz4c RUNTIME DESTINATION "bin/")
endif()

if(BUILD_LIBS)    
    add_library(liblz4 ${LZ4_SRCS_LIB})
    
    set_target_properties(liblz4 PROPERTIES
    OUTPUT_NAME lz4
    SOVERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}"
    )
        
    install(TARGETS liblz4
    LIBRARY DESTINATION lib
    ARCHIVE DESTINATION lib
    )

    install(FILES
    ${LZ4_DIR}/lz4.h
    ${LZ4_DIR}/lz4hc.h
    DESTINATION include
    )
    
    if(BUILD_TOOLS)
        target_link_libraries(lz4 liblz4)
        target_link_libraries(lz4c liblz4)
    endif()
endif()


#warnings

ADD_DEFINITIONS("-Wall")
ADD_DEFINITIONS("-W")
ADD_DEFINITIONS("-Wundef")
ADD_DEFINITIONS("-Wcast-align")
ADD_DEFINITIONS("-std=c99")
ADD_DEFINITIONS("-DLZ4_VERSION=\"${CPACK_PACKAGE_VERSION_PATCH}\"")
INCLUDE_DIRECTORIES (${LZ4_DIR})

=== programs/Makefile ===
# ################################################################
# LZ4 programs - Makefile
# Copyright (C) Yann Collet 2011-2014
# GPL v2 License
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#
# You can contact the author at :
#  - LZ4 source repository : http://code.google.com/p/lz4/
#  - LZ4 forum froup : https://groups.google.com/forum/#!forum/lz4c
# ################################################################
# lz4 : Command Line Utility, supporting gzip-like arguments
# lz4c  : CLU, supporting also legacy lz4demo arguments
# lz4c32: Same as lz4c, but forced to compile in 32-bits mode
# fuzzer  : Test tool, to check lz4 integrity on target platform
# fuzzer32: Same as fuzzer, but forced to compile in 32-bits mode
# fullbench  : Precisely measure speed for each LZ4 function variant
# fullbench32: Same as fullbench, but forced to compile in 32-bits mode
# ################################################################

RELEASE=r114
DESTDIR=
PREFIX=/usr
CC:=$(CC)
CFLAGS+= -I.. -std=c99 -O3 -Wall -W -Wundef -DLZ4_VERSION=\"$(RELEASE)\"

BINDIR=$(PREFIX)/bin
MANDIR=$(PREFIX)/share/man/man1
LZ4DIR=..


# Define *.exe as extension for Windows systems
ifneq (,$(filter Windows%,$(OS)))
EXT =.exe
else
EXT =
endif


default: lz4 lz4c

all: lz4 lz4c lz4c32 fuzzer fuzzer32 fullbench fullbench32

lz4: $(LZ4DIR)/lz4.c $(LZ4DIR)/lz4hc.c bench.c xxhash.c lz4io.c lz4cli.c
	$(CC)      $(CFLAGS) -DDISABLE_LZ4C_LEGACY_OPTIONS $^ -o $@$(EXT)

lz4c  : $(LZ4DIR)/lz4.c $(LZ4DIR)/lz4hc.c bench.c xxhash.c lz4io.c lz4cli.c
	$(CC)      $(CFLAGS) $^ -o $@$(EXT)

lz4c32: $(LZ4DIR)/lz4.c $(LZ4DIR)/lz4hc.c bench.c xxhash.c lz4io.c lz4cli.c
	$(CC) -m32 $(CFLAGS) $^ -o $@$(EXT)

fuzzer  : $(LZ4DIR)/lz4.c $(LZ4DIR)/lz4hc.c fuzzer.c
	$(CC)      $(CFLAGS) $^ -o $@$(EXT)

fuzzer32: $(LZ4DIR)/lz4.c $(LZ4DIR)/lz4hc.c fuzzer.c
	$(CC) -m32 $(CFLAGS) $^ -o $@$(EXT)

fullbench  : $(LZ4DIR)/lz4.c $(LZ4DIR)/lz4hc.c xxhash.c fullbench.c
	$(CC)      $(CFLAGS) $^ -o $@$(EXT)

fullbench32: $(LZ4DIR)/lz4.c $(LZ4DIR)/lz4hc.c xxhash.c fullbench.c
	$(CC) -m32 $(CFLAGS) $^ -o $@$(EXT)

clean:
	@rm -f core *.o \
        lz4$(EXT) lz4c$(EXT) lz4c32$(EXT) \
        fuzzer$(EXT) fuzzer32$(EXT) fullbench$(EXT) fullbench32$(EXT) 
	@echo Cleaning completed


ifneq (,$(filter $(shell uname),Linux Darwin))

install: lz4 lz4c
	@install -d -m 755 $(DESTDIR)$(BINDIR)/ $(DESTDIR)$(MANDIR)/
	@install -m 755 lz4   $(DESTDIR)$(BINDIR)/lz4
	@install -m 755 lz4c  $(DESTDIR)$(BINDIR)/lz4c
	@install -m 644 lz4.1 $(DESTDIR)$(MANDIR)/lz4.1
	@echo lz4 installation completed

uninstall:
	[ -x $(DESTDIR)$(BINDIR)/lz4 ] && rm -f $(DESTDIR)$(BINDIR)/lz4
	[ -x $(DESTDIR)$(BINDIR)/lz4c ] && rm -f $(DESTDIR)$(BINDIR)/lz4c
	[ -f $(DESTDIR)$(MANDIR)/lz4.1 ] && rm -f $(DESTDIR)$(MANDIR)/lz4.1
	@echo lz4 successfully uninstalled

endif

=== debian/changelog ===
lz4 (0.0~r114-2ubuntu1) trusty; urgency=medium

  * debian/patches/fix-endianness-check.patch: Include <stdlib.h> before using
    __GLIBC__.  Checking for __GLIBC__ without including a header that defines
    it doesn't work very well, so the endianness falls back to the hardcoded
    arch list, which incorrectly identifies ppc64el as big endian.

 -- William Grant <wgrant@ubuntu.com>  Mon, 14 Apr 2014 16:25:20 +0100

lz4 (0.0~r114-2) unstable; urgency=low

  * Update patches/add-support-kfreebsd.patch.
    Support programs.Makefile too.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 22 Mar 2014 14:23:35 +0900

lz4 (0.0~r114-1) unstable; urgency=low

  * Snapshot, taken from the trunk (r113).
  * Remove support-library-version.patch
    Applied to upstream.
  * Update add-ldflags.patch.
  * Add patches/fix-install.patch.
    Fix install library.
  * Update symbols file.
  * Add patches/add-support-kfreebsd.patch.
    Support install on kFreeBSD.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 22 Mar 2014 01:53:20 +0900

lz4 (0.0~r113-2) unstable; urgency=low

  * Update debian/control.
    - Add Conflict and Replaces field of libz4-1-dbg (Closes: #741003).
    - Update package description (Closes: #741001).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 10 Mar 2014 08:34:29 +0900

lz4 (0.0~r113-1) unstable; urgency=low

  * Snapshot, taken from the trunk (r113).
  * Update debian/rules.
    - Change build tool from cmake to GNU make.
  * Update debian/control.
    - cmake from Build-Depends
    - Update Standards-Version to 3.9.5
  * Update symbols file.
  * Add patches/add-dlflags.patch.
  * Add patches/support-library-version.patch.
  * Remove old patches.
  * Change package name and install script name.
  * Add manpage of lz4.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 05 Mar 2014 10:50:41 +0900

=== debian/control ===
Source: lz4
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends: debhelper (>= 9.0.0)
Standards-Version: 3.9.5
Section: utils
Homepage: http://code.google.com/p/lz4/
Vcs-Git: git://anonscm.debian.org/collab-maint/lz4.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/lz4.git;a=summary

Package: liblz4-dev
Section: libdevel
Architecture: any
Depends: liblz4-1 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: Fast LZ compression algorithm library - development files
 LZ4 is a very fast lossless compression algorithm, providing compression speed
 at 400 MB/s per core, scalable with multi-cores CPU. It also features an
 extremely fast decoder, with speed in multiple GB/s per core, typically
 reaching RAM speed limits on multi-core systems.
 .
 This package contains files that are needed to build applications.

Package: liblz4-1
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Fast LZ compression algorithm library - runtime
 LZ4 is a very fast lossless compression algorithm, providing compression speed
 at 400 MB/s per core, scalable with multi-cores CPU. It also features an
 extremely fast decoder, with speed in multiple GB/s per core, typically
 reaching RAM speed limits on multi-core systems.
 .
 This package includes the shared library.

Package: liblz4-1-dbg
Section: debug
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, liblz4-1 (= ${binary:Version})
Replaces: liblz4-0.0-dbg (<= 0.0~r113-1)
Conflicts: liblz4-0.0-dbg (<= 0.0~r113-1)
Description: Fast LZ compression algorithm library - Debugging Symbols
 LZ4 is a very fast lossless compression algorithm, providing compression speed
 at 400 MB/s per core, scalable with multi-cores CPU. It also features an
 extremely fast decoder, with speed in multiple GB/s per core, typically
 reaching RAM speed limits on multi-core systems.
 .
 This package contains the debugging symbols.

Package: liblz4-tool
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, liblz4-1 (= ${binary:Version})
Multi-Arch: foreign
Description: Fast LZ compression algorithm library - tool
 LZ4 is a very fast lossless compression algorithm, providing compression speed
 at 400 MB/s per core, scalable with multi-cores CPU. It also features an
 extremely fast decoder, with speed in multiple GB/s per core, typically
 reaching RAM speed limits on multi-core systems.
 .
 This package contains files that is tool using liblz4.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CPPFLAGS:= $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:= $(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS:= $(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:= $(shell dpkg-buildflags --get LDFLAGS)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_ARCH_BITS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)

export CFLAGS
export CPPFLAGS
export LDFLAGS

%:
	dh $@

override_dh_install:
	make install DESTDIR=$$(pwd)/debian/tmp LIBDIR=$(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install

override_dh_strip:
	dh_strip -a --dbg-package=liblz4-1-dbg
